HEADERS += controlcontainer.h \
    cameralistfile.h \
    camerainfodialog.h \
    acquisitionthread.h \
    tools.h \
    smarttabwidget.h \
    smarttabsplitterhandle.h \
    smarttabsplitter.h \
    smarttabbar.h \
    simpleimagebuffer.h \
    sdlvideowidget.h \
    registerwindow.h \
    registermap.h \
    mainwindow.h \
    logwindow.h \
    logger.h \
    lockfile.h \
    imageprocessingthread.h \
    guardedframe.h \
    featurecontrolfactory.h \
    enumreference.h \
    dc1394camera.h \
    featurecontrols/whitebalancecontrol.h \
    featurecontrols/videomodecontrol.h \
    featurecontrols/userprofilecontrol.h \
    featurecontrols/triggercountercontrol.h \
    featurecontrols/triggercontrol.h \
    featurecontrols/timebasecontrol.h \
    featurecontrols/testimagecontrol.h \
    featurecontrols/standardfeaturecontrol.h \
    featurecontrols/siscontrol.h \
    featurecontrols/shuttercontrol.h \
    featurecontrols/shadingcontrol.h \
    featurecontrols/pwmoutcontrol.h \
    featurecontrols/packetsizecontrol.h \
    featurecontrols/multishotcountcontrol.h \
    featurecontrols/mirrorcontrol.h \
    featurecontrols/maxisosizecontrol.h \
    featurecontrols/lutcontrol.h \
    featurecontrols/lowsmearcontrol.h \
    featurecontrols/lownoisebinningcontrol.h \
    featurecontrols/ledcontrol.h \
    featurecontrols/isospeedcontrol.h \
    featurecontrols/iocontrol.h \
    featurecontrols/inputdebouncecontrol.h \
    featurecontrols/hsnrcontrol.h \
    featurecontrols/hdrcontrol.h \
    featurecontrols/globalresrelshuttercontrol.h \
    featurecontrols/frameratecontrol.h \
    featurecontrols/framecountercontrol.h \
    featurecontrols/extendedcheckbox.h \
    featurecontrols/extdshuttercontrol.h \
    featurecontrols/dsnucontrol.h \
    featurecontrols/defectpixelcontrol.h \
    featurecontrols/colorcorrectioncontrol.h \
    featurecontrols/colorcodingcontrol.h \
    featurecontrols/channeladjustoffsetcontrol.h \
    featurecontrols/channeladjustcontrol.h \
    featurecontrols/blemishcontrol.h \
    featurecontrols/autoshuttercontrol.h \
    featurecontrols/autogaincontrol.h \
    featurecontrols/autofncaoicontrol.h \
    featurecontrols/areaselection.h \
    featurecontrols/aoicontrol.h \
    featurecontrols/acquisitioncontrol.h \
    featurecontrols/abstractfeaturecontrol.h
SOURCES += dc1394camera.cpp \
    controlcontainer.cpp \
    cameralistfile.cpp \
    camerainfodialog.cpp \
    acquisitionthread.cpp \
    tools.cpp \
    smarttabwidget.cpp \
    smarttabsplitterhandle.cpp \
    smarttabsplitter.cpp \
    smarttabbar.cpp \
    simpleimagebuffer.cpp \
    sdlvideowidget.cpp \
    registerwindow.cpp \
    registermap.cpp \
    mainwindow.cpp \
    main.cpp \
    logwindow.cpp \
    logger.cpp \
    lockfile.cpp \
    imageprocessingthread.cpp \
    featurecontrolfactory.cpp \
    enumreference.cpp \
    featurecontrols/whitebalancecontrol.cpp \
    featurecontrols/videomodecontrol.cpp \
    featurecontrols/userprofilecontrol.cpp \
    featurecontrols/triggercountercontrol.cpp \
    featurecontrols/triggercontrol.cpp \
    featurecontrols/timebasecontrol.cpp \
    featurecontrols/testimagecontrol.cpp \
    featurecontrols/standardfeaturecontrol.cpp \
    featurecontrols/siscontrol.cpp \
    featurecontrols/shuttercontrol.cpp \
    featurecontrols/shadingcontrol.cpp \
    featurecontrols/pwmoutcontrol.cpp \
    featurecontrols/packetsizecontrol.cpp \
    featurecontrols/multishotcountcontrol.cpp \
    featurecontrols/mirrorcontrol.cpp \
    featurecontrols/maxisosizecontrol.cpp \
    featurecontrols/lutcontrol.cpp \
    featurecontrols/lowsmearcontrol.cpp \
    featurecontrols/lownoisebinningcontrol.cpp \
    featurecontrols/ledcontrol.cpp \
    featurecontrols/isospeedcontrol.cpp \
    featurecontrols/iocontrol.cpp \
    featurecontrols/inputdebouncecontrol.cpp \
    featurecontrols/hsnrcontrol.cpp \
    featurecontrols/hdrcontrol.cpp \
    featurecontrols/globalresrelshuttercontrol.cpp \
    featurecontrols/frameratecontrol.cpp \
    featurecontrols/framecountercontrol.cpp \
    featurecontrols/extendedcheckbox.cpp \
    featurecontrols/extdshuttercontrol.cpp \
    featurecontrols/dsnucontrol.cpp \
    featurecontrols/defectpixelcontrol.cpp \
    featurecontrols/colorcorrectioncontrol.cpp \
    featurecontrols/colorcodingcontrol.cpp \
    featurecontrols/channeladjustoffsetcontrol.cpp \
    featurecontrols/channeladjustcontrol.cpp \
    featurecontrols/blemishcontrol.cpp \
    featurecontrols/autoshuttercontrol.cpp \
    featurecontrols/autogaincontrol.cpp \
    featurecontrols/autofncaoicontrol.cpp \
    featurecontrols/areaselection.cpp \
    featurecontrols/aoicontrol.cpp \
    featurecontrols/acquisitioncontrol.cpp \
    featurecontrols/abstractfeaturecontrol.cpp
FORMS += camerainfodialog.ui \
    registerwindow.ui \
    mainwindow.ui \
    logwindow.ui \
    featurecontrols/whitebalancecontrol.ui \
    featurecontrols/videomodecontrol.ui \
    featurecontrols/userprofilecontrol.ui \
    featurecontrols/triggercountercontrol.ui \
    featurecontrols/triggercontrol.ui \
    featurecontrols/timebasecontrol.ui \
    featurecontrols/testimagecontrol.ui \
    featurecontrols/standardfeaturecontrol.ui \
    featurecontrols/siscontrol.ui \
    featurecontrols/shadingcontrol.ui \
    featurecontrols/pwmoutcontrol.ui \
    featurecontrols/packetsizecontrol.ui \
    featurecontrols/multishotcountcontrol.ui \
    featurecontrols/mirrorcontrol.ui \
    featurecontrols/maxisosizecontrol.ui \
    featurecontrols/lutcontrol.ui \
    featurecontrols/lowsmearcontrol.ui \
    featurecontrols/lownoisebinningcontrol.ui \
    featurecontrols/ledcontrol.ui \
    featurecontrols/isospeedcontrol.ui \
    featurecontrols/iocontrol.ui \
    featurecontrols/inputdebouncecontrol.ui \
    featurecontrols/hsnrcontrol.ui \
    featurecontrols/hdrcontrol.ui \
    featurecontrols/globalresrelshuttercontrol.ui \
    featurecontrols/frameratecontrol.ui \
    featurecontrols/framecountercontrol.ui \
    featurecontrols/extdshuttercontrol.ui \
    featurecontrols/dsnucontrol.ui \
    featurecontrols/defectpixelcontrol.ui \
    featurecontrols/colorcorrectioncontrol.ui \
    featurecontrols/colorcodingcontrol.ui \
    featurecontrols/channeladjustoffsetcontrol.ui \
    featurecontrols/channeladjustcontrol.ui \
    featurecontrols/blemishcontrol.ui \
    featurecontrols/autoshuttercontrol.ui \
    featurecontrols/autogaincontrol.ui \
    featurecontrols/autofncaoicontrol.ui \
    featurecontrols/aoicontrol.ui \
    featurecontrols/acquisitioncontrol.ui
RESOURCES += application.qrc
LIBS += -ldc1394 \
    -lSDL
INCLUDEPATH += /usr/include/SDL
QT += xml
target.path += /usr/bin/
INSTALLS += target
